Package io.vertx.rxjava3.ext.auth.authorization

## Class AuthorizationContext

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authorization.AuthorizationContext

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class AuthorizationContext
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  The AuthorizationContext contains properties that can be used to match authorizations.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<AuthorizationContext>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthorizationContext​(AuthorizationContext delegate)` |
    `AuthorizationContext​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthorizationContext` | `create​(User user)` | Factory for Authorization Context
    `static AuthorizationContext` | `create​(User user, MultiMap variables)` | Factory for Authorization Context
    `boolean` | `equals​(Object o)` |
    `AuthorizationContext` | `getDelegate()` |
    `int` | `hashCode()` |
    `static AuthorizationContext` | `newInstance​(AuthorizationContext arg)` |
    `String` | `toString()` |
    `User` | `user()` | Get the authenticated user
    `MultiMap` | `variables()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AuthorizationContext> __TYPE_ARG

  - ### Constructor Detail

    - #### AuthorizationContext

          public AuthorizationContext​(AuthorizationContext delegate)

    - #### AuthorizationContext

          public AuthorizationContext​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AuthorizationContext getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static AuthorizationContext create​(User user)

      Factory for Authorization Context
      Parameters:
        `user` - a user
      Returns:
        a AuthorizationContext instance

    - #### create

          public static AuthorizationContext create​(User user,
                                                    MultiMap variables)

      Factory for Authorization Context
      Parameters:
        `user` - a user
        `variables` -
      Returns:
        a AuthorizationContext instance

    - #### user

          public User user()

      Get the authenticated user
      Returns:
        the user

    - #### variables

          public MultiMap variables()

      Returns:
        a Multimap containing variable names and values that can be resolved at runtime by `Authorization`Authorizations

    - #### newInstance

          public static AuthorizationContext newInstance​(AuthorizationContext arg)